Subject: Re: [Patch net-next v2 5/8] sunrpc: use generic union inet_addr

From: Cong Wang <[email-masked]>
Date: Mon, 05 Aug 2013 11:14:05 +0800

On Fri, 2013-08-02 at 09:36 -0400, Jeff Layton wrote:
> On Fri,  2 Aug 2013 15:14:31 +0800
> Cong Wang <[email-masked]> wrote:
> 
> > From: Cong Wang <[email-masked]>
> > 
> > sunrpc defines some helper functions for sockaddr, actually they
> > can re-use the generic functions for union inet_addr too.
> 
> Only some of these patches in this series have made it to lists to
> which I'm subscribed, so I may be missing some context here...
> 
> I'm not sure I really understand the value of "union inet_addr". Why
> not just use the conventional method of passing around "struct sockaddr"
> pointers, and then casting them to struct sockaddr_in/sockaddr_in6
> depending on what the sa_family is set to?

Yes.

> 
> With that you wouldn't need to leave the (now pointless) rpc_* wrappers
> in place and could just call your new helpers directly.
> 

J. Bruce asked the same question, see:
http://marc.info/?l=linux-nfs&m=137475685903460&w=2

Thanks.

--
To unsubscribe from this list: send the line "unsubscribe linux-nfs" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html